DigitalOutput Class Reference

Faster version of digitalWrite(). More...

`#include <DigitalOutput.h>`

## Public Member Functions

void | begin (uint8_t pin)
| initialize the digital pin. More...
void | write (bool level)
| Set the level of a digital pin. More...

## Detailed Description

Faster version of digitalWrite().

## Member Function Documentation

## begin()

void DigitalOutput::begin | ( | uint8_t | pin | ) |

inline

initialize the digital pin.

Parameters

  [in] | pin | The Arduino pin number.

## write()

void DigitalOutput::write | ( | bool | level | ) |

inline

Set the level of a digital pin.

Parameters

  [in] | level | The value to be set.

The documentation for this class was generated from the following file:

- Arduino/libraries/SSD1306Ascii/src/utility/DigitalOutput.h